%define name gtk-qt-engine
%define ver 0.7
%define rel_major 1

%define cvs 0
%define cvsdate 20051001

%define tarver %ver
%define tardirname %name-%ver
%define rel %rel_major
%if "%ver" == "0.7"
%define tardirname %name
%endif
%if %cvs
%define tarver cvs%cvsdate
%define tardirname %name
%define rel 0.%{rel_major}cvs
%endif

Name: %name
Version: %ver
Release: alt%rel

Summary: GTK-Qt Theme Engine
Group: Graphical desktop/Other
License: GPL
Url: http://www.freedesktop.org/Software/gtk-qt

Source: %url/%name-%tarver.tar.bz2

Patch1: %name-0.7cvs-kcmgtk-xdg-ru.patch

Provides: gtk-qt-engines = %version
Obsoletes: gtk-qt-engines

BuildRequires: gcc-c++ kdelibs-devel libbonoboui-devel libjpeg-devel xorg-x11-devel xml-utils

%description
This GTK theme engine uses the currently selected Qt style to do it's drawing.
Basically, it makes your GTK apps look like Qt ones.


%prep
%setup -q -n %tardirname
%patch1 -p1

#%__subst 's|\.la\>|.so|g' admin/acinclude.m4.in
#%__subst 's|-ansi\>||g' admin/acinclude.m4.in
#%__subst 's|-no-undefined\>||g' kcm_gtk/Makefile.am
%make -f admin/Makefile.common cvs ||:


%build
%configure \
    --disable-debug \
    --enable-final \
%ifarch x86_64
	    --enable-libsuffix=64 \
%endif
    --disable-rpath

%make_build


%install
%make DESTDIR=%buildroot install

%__rm -f %buildroot%_libdir/gtk-2.0/*/engines/*.la
%__rm -f %buildroot%_libdir/kde3/*.la

%find_lang --with-kde gtkqtengine


%files -f gtkqtengine.lang
%doc README AUTHORS INSTALL COPYING ChangeLog
%_libdir/gtk-2.0/*/engines/libqtengine.so
%_libdir/kde3/*
%_datadir/themes/Qt
%_datadir/gtk-qt-engine
%_datadir/applnk/Settings/LookNFeel/*
%_datadir/applications/*

%changelog
* Mon Sep 18 2006 Sergey V Turchin <zerg at altlinux dot org> 0.7-alt1
- release 0.7

* Sat Oct 01 2005 Dmitry Vukolov <dav@altlinux.ru> 0.7-alt0.1cvs
- CVS snapshot dated October 1, 2005 
- fixed bug #7902; many thanks to Alexey Morozov (morozov@)
- updated BuildRequires

* Wed Dec 29 2004 Dmitry Vukolov <dav@altlinux.ru> 0.6-alt1
- new version

* Fri Aug 13 2004 Dmitry Vukolov <dav@altlinux.ru> 0.5-alt1
- version 0.5
- scrollbar and toolbar patch from cvs
- updated BuildRequires
- package renamed from gtk-qt-engines to gtk-qt-engine

* Tue May 04 2004 Dmitry Vukolov <dav@altlinux.ru> 0.3-alt1
- version 0.3
- updated URL

* Thu Feb 05 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.2-alt1
- initial package
